Package org.eclipse.birt.report.model.api.validators

# Class DataColumnNameValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.DataColumnNameValidator

public class DataColumnNameValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates the result set column of the data item.

### Rule

The rule is that

- If data item has a column name and this column name has no corresponding column binding, semantic error is logged.

### Applicability

This validator is only applied to `DataItem`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Method Summary

Modifier and Type
Method
Description
`static ComputedColumn`
`getColumn(List columns, String name)`
Gets the column with the given expression bound the given list.
`static DataColumnNameValidator`
`getInstance()`
Returns the singleton validator instance.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates whether the page size is invalid.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static DataColumnNameValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates whether the page size is invalid.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the master page to validate
Returns:
  error list, each of which is the instance of `SemanticException`.

### getColumn

public static ComputedColumn getColumn(List columns, String name)
Gets the column with the given expression bound the given list.

Parameters:
  `columns` - the binding columns
  `name` - the column binding name
Returns:
  the bound column